declare type LineHeight = "tight" | "regular" | "loose";
declare type FontWeight = "light" | "regular" | "medium" | "bold";
declare type HeadlineSizes = "tiny" | "xxsmall" | "xsmall" | "small" | "medium" | "large" | "xlarge" | "jumbo";
declare type BodySizes = "small" | "medium";
declare type TextSansSizes = "xsmall" | "small" | "medium" | "large" | "xlarge" | "xxlarge";
declare const headlineSizes: {
    [key in HeadlineSizes]: number;
};
declare const bodySizes: {
    [key in BodySizes]: number;
};
declare const textSansSizes: {
    [key in TextSansSizes]: number;
};
interface FontScaleArgs {
    lineHeight?: LineHeight;
    fontWeight?: FontWeight;
}
declare type HeadlineFunctions = {
    [key in HeadlineSizes]: (options?: FontScaleArgs) => number;
};
declare const headline: HeadlineFunctions;
declare type BodyFunctions = {
    [key in BodySizes]: (options?: FontScaleArgs) => number;
};
declare const body: BodyFunctions;
declare type TextSansFunctions = {
    [key in TextSansSizes]: (options?: FontScaleArgs) => number;
};
declare const textSans: TextSansFunctions;
export { headline, body, textSans, headlineSizes, bodySizes, textSansSizes };
